/*******************************************************************************
 * FoxGame_AITurretPawn generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxGame_AITurretPawn extends FoxPawn_DeployableBase
    abstract
    native
    config(Pawn)
    hidecategories(Navigation);

var(Audio) AkEvent StartAimEvent;
var(Audio) AkEvent StopAimEvent;
var const localized string LocStringTurretName;

// Export UFoxGame_AITurretPawn::execStartUpdateAimOffset(FFrame&, void* const)
native simulated function StartUpdateAimOffset();

// Export UFoxGame_AITurretPawn::execDoneUpdateAimOffset(FFrame&, void* const)
native simulated function DoneUpdateAimOffset();

function ThrowWeaponOnDeath()
{
    //return;    
}

function PossessedBy(Controller C, bool bVehicleTransition)
{
    super(FoxPawn).PossessedBy(C, bVehicleTransition);
    PlayerReplicationInfo.SetPlayerName(LocStringTurretName);
    //return;    
}

defaultproperties
{
    LocStringTurretName="Turret"
    InstigatingWeaponClassName="FoxWeapon_DeployableTurretContent"
    bHasGore=false
    bUseWeaponAnimOverrides=false
    bTPCameraLocIsSocket=true
    bCanBeLungeTarget=false
    bPawnIsAWeapon=true
    EnemyHVTMaterialInstance=MaterialInstanceConstant'Default__FoxGame_AITurretPawn.EnemyHVTMaterialInstance0'
    JamEnemyHVTMaterialInstance=MaterialInstanceConstant'Default__FoxGame_AITurretPawn.JamEnemyHVTMaterialInstance0'
    FriendlyHVTMaterialInstance=MaterialInstanceConstant'Default__FoxGame_AITurretPawn.FriendlyHVTMaterialInstance0'
    NuetralHVTMaterialInstance=MaterialInstanceConstant'Default__FoxGame_AITurretPawn.NuetralHVTMaterialInstance0'
    EnemyIRMaterialInstance=MaterialInstanceConstant'Default__FoxGame_AITurretPawn.EnemyIRMaterialInstance0'
    FriendlyIRMaterialInstance=MaterialInstanceConstant'Default__FoxGame_AITurretPawn.FriendlyIRMaterialInstance0'
    NuetralIRMaterialInstance=MaterialInstanceConstant'Default__FoxGame_AITurretPawn.NuetralIRMaterialInstance0'
    LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxGame_AITurretPawn.TPLightEnvironment'
    TakeDamageCameraShake=CameraShake'Default__FoxGame_AITurretPawn.Shake0'
    AimOffsetInterpSpeed=8.0
    TPCameraLocName=S_Muzzle
    FreeCamLivingBoneName=Pivot_01
    FreeCamDeadBoneName=Pivot_01
    FreeCamLivingBoneTranslation=(X=0.0,Y=0.0,Z=0.0)
    AimAttractors=none
    AttachSlots(0)=(SocketName=S_Muzzle,AttachClass=none,ThirdPersonWeapon=none,bVisible=false)
    AttachSlots(1)=(SocketName=LeftHand,AttachClass=none,ThirdPersonWeapon=none,bVisible=true)
    AttachSlots(2)=(SocketName=S_Primary,AttachClass=none,ThirdPersonWeapon=none,bVisible=false)
    AttachSlots(3)=(SocketName=S_Secondary,AttachClass=none,ThirdPersonWeapon=none,bVisible=false)
    AttachSlots(4)=(SocketName=S_Inv1,AttachClass=none,ThirdPersonWeapon=none,bVisible=false)
    AttachSlots(5)=(SocketName=S_Inv2,AttachClass=none,ThirdPersonWeapon=none,bVisible=false)
    AttachSlots(6)=(SocketName=S_Knife,AttachClass=none,ThirdPersonWeapon=none,bVisible=false)
    HealthRechargeDelay=50.0
    HealthRechargePercentPerSecond=0.0
    HealthThreshold=0.0
    DialogPawnName="Turret"
    DamageProfiles(0)=(TakeDamageCameraShake=CameraShake'Default__FoxGame_AITurretPawn.Shake1',DamageAmount=40)
    DamageProfiles(1)=(TakeDamageCameraShake=CameraShake'Default__FoxGame_AITurretPawn.Shake2',DamageAmount=150)
    DamageProfiles(2)=(TakeDamageCameraShake=CameraShake'Default__FoxGame_AITurretPawn.Shake3',DamageAmount=1500)
    bCanCrouch=false
    bCanJump=false
    bCanWalk=false
    Health=500
    HealthMax=500
    begin object name=PawnSkeletalMeshComponent class=SkeletalMeshComponent
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxGame_AITurretPawn.TPLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxGame_AITurretPawn.PawnSkeletalMeshComponent'
    Mesh=PawnSkeletalMeshComponent
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxGame_AITurretPawn.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    Components(0)=none
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxGame_AITurretPawn.CollisionCylinder'
    Components(1)=CollisionCylinder
    Components(2)=none
    Components(3)=DynamicLightEnvironmentComponent'Default__FoxGame_AITurretPawn.TPLightEnvironment'
    begin object name=PawnSkeletalMeshComponent class=SkeletalMeshComponent
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxGame_AITurretPawn.TPLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxGame_AITurretPawn.PawnSkeletalMeshComponent'
    Components(4)=PawnSkeletalMeshComponent
    Components(5)=DynamicLightEnvironmentComponent'Default__FoxGame_AITurretPawn.FPLightEnvironmentObj'
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxGame_AITurretPawn.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}